//----------------------------------------------------------------------------
// Copyright (c) 1997 by Joseph Parrello. All Rights Reserved.
// Site   : http://space.tin.it/computer/giparrel
// E-Mail : joparrel@tin.it, giusparr@tin.it, giparre@tin.it
//
// Revision:   1.1  (December 26,1997).
//
// Definition of JPMenuButtonGadget class.
//
// Read JPMBUTGA.TXT for use and license.
//
// Only for OWL 5.02 users.
// OWL and ObjectWindows are trademarks of Borland International.
//
// THIS CLASS AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
// ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO
// THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
// PARTICULAR PURPOSE.
//----------------------------------------------------------------------------

#if !defined(jpmbutga_h)
#define jpmbutga_h

#if !defined(OWL_BUTTONGA_H)
#include <owl/buttonga.h>
#endif
#if !defined(OWL_MENU_H)
# include <owl/menu.h>
#endif
#if !defined(OWL_GADGETWI_H)
#include <owl/gadgetwi.h>
#endif

//{{TButtonGadget = JPMenuButtonGadget}}
class JPMenuButtonGadget : public TButtonGadget {
  public:
    JPMenuButtonGadget(TMenu& menu, TResId glyphResIdOrIndex, int id, TType type = Command, bool enabled = true, TState state = Up, bool sharedGlyph = false);
    virtual ~JPMenuButtonGadget();

  private:
    TPopupMenu*         GadgetPopupMenu;
#if defined(BI_PLAT_WIN32)
    bool                TrackPopupMenuEx(uint flags, const TPoint& point, HWND wnd, const TRect* rect);
#endif

//{{JPMenuButtonGadgetVIRTUAL_BEGIN}}
  public:
    virtual void BeginPressed(TPoint& p);
//{{JPMenuButtonGadgetVIRTUAL_END}}
};    //{{JPMenuButtonGadget}}

#endif

